#include <windows.h>
#include <stdio.h>
#include <time.h>
#include <libp.h>
#include <errno.h>

void *_ll_malloc(size_t size)
{
	void * address;
  if ((address = VirtualAlloc(0,size,MEM_COMMIT,PAGE_READWRITE)) == 0) {
		errno = _dos_errno = ENOMEM;
		return 0;
	}
	return address ;
}

void _ll_free(void *block)
{
	VirtualFree(block, 0, MEM_RELEASE);
}